# Sample Makefile for PDFlib's Java binding
# $Id: Makefile.sample,v 1.1 2003/02/28 20:44:07 rjs Exp $


TESTPROGS	= \
	hello.class \
	image.class \
	pdfclock.class \
	chartab.class \
	invoice.class \
	businesscard.class \
	quickreference.class


.SUFFIXES:	.java .class

.java.class:
	-CLASSPATH=$$CLASSPATH:pdflib.jar:. javac $<


all: $(TESTPROGS)

test: all
	-CLASSPATH=$$CLASSPATH:pdflib.jar:.  java hello
	-CLASSPATH=$$CLASSPATH:pdflib.jar:.  java image
	-CLASSPATH=$$CLASSPATH:pdflib.jar:.  java pdfclock
	-CLASSPATH=$$CLASSPATH:pdflib.jar:.  java chartab
	-CLASSPATH=$$CLASSPATH:pdflib.jar:.  java invoice
	-CLASSPATH=$$CLASSPATH:pdflib.jar:.  java businesscard
	-CLASSPATH=$$CLASSPATH:pdflib.jar:.  java quickreference

clean:
	$(RM) *.class 
	$(RM) hello.pdf image.pdf pdfclock.pdf chartab.pdf invoice.pdf
	$(RM) businesscard.pdf quickreference.pdf
